Release notes for SoftSpy V7.5

From M204wiki
Jump to: navigation, search

Features and enhancements

This section contains installation and features information for Rocket SoftSpy for Model 204 version 7.5.

Before beginning your SoftSpy installation, read through this information about product installation and changes.

New and enhanced SoftSpy features

The SoftSpy code is now included in the Model 204 nucleus, though it remains a separately licensed add-on product. For details on Model 204 version 7.5, see the Release notes for Model 204 version 7.5.

Model 204 version 7.5 incorporates SoftSpy and Sirius Mods.

Restrictions

The following restrictions apply to using SoftSpy:

  • SoftSpy and SERVNSA

    SoftSpy cannot be used in a Model 204 online that uses non-swappable, above-the-bar server areas (that is, the value of the SERVNSA parameter is not equal to zero). As of V7.5, if you issue the SPY command or try to create SoftSpy servers in an Online with non-zero SERVNSA, it will be rejected with the following error message:

    *** M204.1060: SOFTSPY NOT ALLOWED WITH NON SWAPPABLE SERVERS

  • SoftSpy and RESPAGE

    In version 7.5 (and 7.4) of SoftSpy, FTBL is the only table usable above the bar. You cannot use the RESPAGE parameter, which specifies NTBL and QTBL above-the-bar pages.

  • SoftSpy and FILEORG X'100', FILEORG X'200' files

    Although you can run applications under SoftSpy that use files set to FILEORG X'100' or FILEORG X'200', you cannot use SoftSpy to watch, display, or set fields in those files.

  • SoftSpy and Model 6 terminals

    SoftSpy cannot be used on a Model 6 terminal. Any attempt to use SoftSpy from a Model 6 terminal will be rejected with the following message:

    *** SPY.205: Error: SoftSpy may not be used on Model=6 terminals.

  • SoftSpy and DBCS (double-byte character set)

    SoftSpy is not supported in a DBCS environment. Ensure that the CCAIN parameter DBCSENV=0 in order to run SoftSpy.

Installation considerations

Prerequisite

Before installing SoftSpy version 7.5, you must have completed these Model 204 installation steps, as described in the Rocket Model 204 installation documentation for your operating system:

  • Install the Model 204 nucleus
  • Install Dictionary/204

Note: When you link-edit the Model 204 nucleus, ensure that the SSPY and MUSE text decks/CSECTs are linked in.

For details on SoftSpy installation, see the Softspy installation guide.

System requirements

For more information on Model 204 system requirements, see the Release notes for Model 204 version 7.5.

Server size requirements

SoftSpy requires a 280,000-byte server.

Rocket Model 204 and SoftSpy documentation

Some of the Rocket Model 204 documentation is now available in wiki-page format. The remainder is available for download in PDF format. For details, see the summary of Model 204 and Sirius documentation.

For a summary of the SoftSpy documentation pages, see Category:SoftSpy.